﻿using UnityEngine;
using System.Collections;

[RequireComponent (typeof (AudioSource))]
public class SoundManager : MonoBehaviour 
{
	public static SoundManager instance;
	
	public AudioClip sfxWinCorp;
	public AudioClip sfxWinHacker;
	public AudioClip sfxTurnChange;
	public AudioClip sfxRoundChange;
	public AudioClip sfxTerminalUse;
	public AudioClip sfxMainframeUse;
	public AudioClip sfxMoveCorp;
	public AudioClip sfxMoveHacker;
	public AudioClip sfxDoorHit;
	public AudioClip sfxDoorBreak;
	
	void Start()
	{
		instance = this;
	}
	
	public void WinCorp(){
		audio.PlayOneShot (sfxWinCorp);
	}
	public void WinHacker(){
		audio.PlayOneShot (sfxWinHacker);
	}
	public void TerminalUse(){
		audio.PlayOneShot (sfxTerminalUse);
	}
	public void MainframeUse(){
		audio.PlayOneShot (sfxMainframeUse);
	}
	public void TurnChange(){
		audio.PlayOneShot (sfxTurnChange);
	}
	public void RoundChange(){
		audio.PlayOneShot (sfxRoundChange);
	}
	public void MoveCorp(){
		audio.PlayOneShot (sfxMoveCorp);
	}
	public void MoveHacker(){
		audio.PlayOneShot (sfxMoveHacker);
	}
	public void DoorHit(){
		audio.PlayOneShot (sfxDoorHit);
	}
	public void DoorBreak(){
		audio.PlayOneShot (sfxDoorBreak);
	}
	
}