﻿using UnityEngine;
using System.Collections;

public class CameraSetTarget : MonoBehaviour {

	public Transform p1; public Transform p2; public Transform p3; public Transform p4;
	private Transform currentPlayer;
	public float zoomSizePlayer;
	public float zoomSizeFullBoard;
	public Vector3 cameraZoomOut;
	private bool hasZoomedOut;

	public bool playerTurn;

	// Use this for initialization
	void Start () {
		playerTurn = true;
		hasZoomedOut = false;
	}
	
	// Update is called once per frame
	void LateUpdate () {
		//if following individual player, keep making sure you're zoomed to their position
		if(GameManager.noMoreMoves && hasZoomedOut == false)
		{
			ZoomOut();
			hasZoomedOut = true;
		}
		else if(!GameManager.noMoreMoves)
		{
			hasZoomedOut = false;
			if(playerTurn)
			{
				if(PlayerManager.activePlayer == 1)
				{
					currentPlayer = p1;
				}
				else if(PlayerManager.activePlayer == 2)
				{
					currentPlayer = p2;
				}
				else if(PlayerManager.activePlayer == 3)
				{
					currentPlayer = p3;
				}
				else if(PlayerManager.activePlayer == 4)
				{
					currentPlayer = p4;
				}
				FollowPlayer(); //This is inefficient as fuck
			}
		}
	}

	void FollowPlayer()
	{
		transform.position = currentPlayer.position - new Vector3(0, 0, 1);
		camera.orthographicSize = zoomSizePlayer;
	}

	void ZoomOut()
	{
		transform.position = cameraZoomOut;
		camera.orthographicSize = zoomSizeFullBoard;
	}
}
