﻿using UnityEngine;
using System.Collections;

public class MenuManager : MonoBehaviour {

	public GameObject credits;
	public GameObject btnStart; public GameObject btnCredits; public GameObject btnQuit;
	public GameObject creditsBackground;

	void Start()
	{
		credits.SetActive (false);
	}

	public void StartGame()
	{
		Application.LoadLevel (1);
	}

	public void Credits()
	{
		credits.SetActive (true);
		btnStart.SetActive (false);
		btnCredits.SetActive (false);
		btnQuit.SetActive (false);
	}

	public void Quit()
	{
		Application.Quit ();
	}

	public void CloseCredits()
	{
		credits.SetActive (false);
		btnStart.SetActive (true);
		btnCredits.SetActive (true);
		btnQuit.SetActive (true);
	}
}
