﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Tile : MonoBehaviour 
{
	public Vector2 TileCoords;
	public static SpriteRenderer TileSprite;

	public List<Tile> Neighbors = new List<Tile>();
	public List<TileDirection> NeighborDirections = new List<TileDirection>();
	public List<TileDirection> PathDirections = new List<TileDirection>();
	
	public static bool HasTerminal = false;
	public static bool HasMainframe = false;

	public int Doors = 1;

	public bool IsTerminal = false;
	public bool IsMainframe = false;
}

public enum TileDirection 
{
	Down,
	Left,
	Up,
	Right
}